import ZSI
from ZSI import TC

class ResourceInfo:
    resId=-1
    resType=""
    resName=""
    director=""


ResourceInfo.typecode=TC.Struct(ResourceInfo,
			    [TC.Integer('resId'),
                    TC.String('resType'),
                    TC.String('resName'),
                    TC.String('director')],
			    'vanHelsing:ResourceInfo')

